class AttachmentsController < ApplicationController
  def create
    unless params[:attachment][:upload].nil?
      Attachment.saveFile params[:attachment][:upload], params[:topic_id], params[:user_id]
    end
    redirect_back fallback_location: topic_path(params[:topic_id])
  end

  def download
    a = Attachment.find params[:id]
    send_file a.path, type: a.mime, disposition: :attachment
  end
end
