class Attachment < ApplicationRecord
  belongs_to :topic
  belongs_to :user

  def self.saveFile(upload, topic_id, user_id)
    dir = Rails.root.join('public', 'data')
    unless File.exists? dir
      Dir.mkdir dir
    end
    fname = upload.original_filename
    a = Attachment.new
    a.name = fname
    a.mime = upload.content_type
    a.topic_id = topic_id
    a.user_id = user_id
    a.save
    path = File.join(dir, a.id.to_s)
    File.open(path, 'wb') do |f| f.write(upload.read) end
    a.path = path
    a.size = File.size(path)
    a.save
  end
end
