class CreateAttachments < ActiveRecord::Migration[5.2]
  def change
    create_table :attachments do |t|
      t.references :topic, foreign_key: true
      t.references :user, foreign_key: true
      t.string :path
      t.string :mime
      t.integer :size
      t.string :name

      t.timestamps
    end
  end
end
