class LinksController < ApplicationController
  def create
    unless params[:url].nil?
      Link.create link_params
    end
    redirect_back fallback_location: topic_path(params[:topic_id])
  end

  private
    def link_params
      params.permit([:url, :user_id, :topic_id])
    end
end
